Issue 122350 - Transparency applied to raster picture invisible until modification of other parameter or 'save - close - reopen'
Transparency applied to raster picture invisible until modification of other ...
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: viewing
4.0.0-dev
All Windows 7
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
: regression
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 14:52 UTC by Rainer Bielefeld
Modified: 2013-07-12 16:40 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Sample Document (24.53 KB, application/vnd.oasis.opendocument.graphics)
2013-05-20 14:52 UTC, Rainer Bielefeld
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Rainer Bielefeld 2013-05-20 14:52:51 UTC
Created attachment 80712 [details]
Sample Document

Steps how to reproduce with server installation of  "AOO 4.0.0-Dev – English UI / German locale [AOO400m1(Build:9700) - Rev. 1482523 Rev.1482259 (2013-05-15)]" on WIN7 Home Premium (64bit)", own separate user profile;

1. open attached sample document
2. Mouseclick on "Citrus"
3. In Picture Toolbar -> Transparency Spin Button -> Increase value from 0%
   to 50%
   Expected: Transparency appears immediately after releasing arrow button
   Actual: No change in view
4. do the same with second picture
   Same bad result
5. Save -> Close -> Reopen
   > Now transparency is visible

Already Reproducible  with server installation of  " AOO 4.0.0-Dev  – English UI / German locale [AOO400m1(Build:9700) - Rev. 1457992 - Rev.1457606]" on WIN7 Home Premium (64bit)", own separate user profile

Worked fine with 3.4.1, so Regressions

I will do test with latest Dev Version later
Comment 1 Rainer Bielefeld 2013-05-20 16:04:13 UTC
Still Reproducible with server installation of  "AOO 4.0.0-Dev – English UI / German locale [AOO400m1(Build:9700) -  Rev. 1484333 Rev.1483903 (2013-05-20)]" on WIN7 Home Premium (64bit)", own separate user profile

All the same with Sidebar as expected.

Strange: If I modify an other Graphic Parameter for the picture (Contrast, color, ...) before or after Step 3 transparency will be shown immediately as expected.
In most cases that success disappears after the other parameter has been set back to default value.
Comment 2 Armin Le Grand 2013-05-27 19:08:37 UTC
ALG: Looks as if in svtools GraphicObject::GetTransformedGraphic does not handle transparency; I'll have a look...
Comment 3 Armin Le Grand 2013-05-27 19:12:21 UTC
ALG: Interestingly it worked in previous versions; this makes it a regression and worth looking what has changed and how this was handled in older versions.
Comment 4 SVN Robot 2013-05-28 10:00:27 UTC
"alg" committed SVN revision 1486842 into trunk:
i122350 Corrected buffering when alpha changed
Comment 5 Armin Le Grand 2013-05-28 10:00:32 UTC
ALG: Was a windows-specific cacing problem for the new GdiPlusBitmapCache; BitmapEx from VCL uses a content and an alpha bitmap, both get combined to a single GdiPlusBitmap. This one is cached, but the associated alpha from construction was not remembered. In this special case only the alpha-bitmap changed and this was not detected. Waiting a while (so that the cached GdiPlusBitmap was flushed) could solve the problem.
Added handling of associated alpha, checking in...
Comment 6 Armin Le Grand 2013-05-28 10:00:47 UTC
ALG: Okay, done.